Package org.spongepowered.asm.mixin.transformer

## Class SyntheticClassInfo

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.SyntheticClassInfo

- All Implemented Interfaces:
    `ISyntheticClassInfo`

      public abstract class SyntheticClassInfo
      extends java.lang.Object
      implements ISyntheticClassInfo

  Information bundle about a synthetic class provided by Mixin

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected IMixinInfo` | `mixin` | Mixin which provides this class
    `protected java.lang.String` | `name` | Class name (internal name)

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SyntheticClassInfo​(IMixinInfo mixin, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | Get the class name (java format)
    `IMixinInfo` | `getMixin()` | Get the mixin which incepted this synthetic class (if more than one mixin is resposible, returns the first)
    `java.lang.String` | `getName()` | Get the class name (binary name)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.spongepowered.asm.service.ISyntheticClassInfo

      `isLoaded`

- - ### Field Detail

    - #### mixin

          protected final IMixinInfo mixin

      Mixin which provides this class

    - #### name

          protected final java.lang.String name

      Class name (internal name)

  - ### Constructor Detail

    - #### SyntheticClassInfo

          protected SyntheticClassInfo​(IMixinInfo mixin,
                                       java.lang.String name)

  - ### Method Detail

    - #### getMixin

          public final IMixinInfo getMixin()

      Description copied from interface: `ISyntheticClassInfo`
      Get the mixin which incepted this synthetic class (if more than one mixin is resposible, returns the first)
      Specified by:
        `getMixin` in interface `ISyntheticClassInfo`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ISyntheticClassInfo`
      Get the class name (binary name)
      Specified by:
        `getName` in interface `ISyntheticClassInfo`

    - #### getClassName

          public java.lang.String getClassName()

      Description copied from interface: `ISyntheticClassInfo`
      Get the class name (java format)
      Specified by:
        `getClassName` in interface `ISyntheticClassInfo`